random-fu-0.3.0.1: Random number generation

Safe Haskell | None
Language | Haskell2010

Data.Random.Distribution.Triangular

Synopsis

- data Triangular a = Triangular {
  - triLower :: a
  - triMid :: a
  - triUpper :: a
  }
- floatingTriangular :: forall a (m :: Type -> Type). (Floating a, Ord a, Distribution StdUniform a) => a -> a -> a -> RVarT m a
- triangularCDF :: RealFrac a => a -> a -> a -> a -> Double

# Documentation

data Triangular a Source #

A description of a triangular distribution - a distribution whose PDF is a triangle ramping up from a lower bound to a specified midpoint and back down to the upper bound. This is a very simple distribution that does not generally occur naturally but is used sometimes as an estimate of a true distribution when only the range of the values and an approximate mode of the true distribution are known.

Constructors

Triangular |

Fields

- triLower :: a

  The lower bound of the triangle in the PDF (the smallest number the distribution can generate)

- triMid :: a

  The midpoint of the triangle (also the mode of the distribution)

- triUpper :: a

  The upper bound of the triangle (and the largest number the distribution can generate)

#### Instances

Instances details

(RealFrac a, Distribution Triangular a) => CDF Triangular a Source # |
Instance details Defined in Data.Random.Distribution.Triangular Methods cdf :: Triangular a -> a -> Double Source #
(RealFloat a, Ord a, Distribution StdUniform a) => Distribution Triangular a Source # |
Instance details Defined in Data.Random.Distribution.Triangular Methods rvar :: Triangular a -> RVar a Source # rvarT :: forall (n :: Type -> Type). Triangular a -> RVarT n a Source #
Show a => Show (Triangular a) Source # |
Instance details Defined in Data.Random.Distribution.Triangular Methods showsPrec :: Int -> Triangular a -> ShowS Source # show :: Triangular a -> String Source # showList :: [Triangular a] -> ShowS Source #
Eq a => Eq (Triangular a) Source # |
Instance details Defined in Data.Random.Distribution.Triangular Methods (==) :: Triangular a -> Triangular a -> Bool Source # (/=) :: Triangular a -> Triangular a -> Bool Source #

floatingTriangular :: forall a (m :: Type -> Type). (Floating a, Ord a, Distribution StdUniform a) => a -> a -> a -> RVarT m a Source #

Compute a triangular distribution for a `Floating` type.

triangularCDF :: RealFrac a => a -> a -> a -> a -> Double Source #

`triangularCDF a b c` is the CDF of `realFloatTriangular a b c`.